<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package volport
 */
if( is_single() ): ?>
    <article id="post-<?php the_ID(); ?>" <?php post_class('n-blog__single mb-75 format-image'); ?>>
        <?php 
        if( has_post_thumbnail() ): ?>
            <div class="n-blog__img">
                <?php the_post_thumbnail('full', array('class' => 'img-responsive' )); ?>
            </div>
        <?php 
        endif; ?>

        <div class="n-blog__content p-relative">
            <div class="blog__meta mb-20">
                <span><i class="far fa-calendar-check"></i> <?php the_time( get_option('date_format') ); ?> </span>
                <span><a href="<?php print esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="far fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>
            <h4 class="n-blog-title">
                <?php the_title(); ?>
            </h4>

            <div class="post-text mb-30">
               <?php the_content(); ?>
                <?php
                    wp_link_pages( array(
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'volport' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',
                    ) );
                ?>
            </div>
            <div class="blog__deatails--tag">
                <?php print volport_get_tag(); ?>
            </div>
        </div>
    </article>
<?php
else: ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class('n-blog__single mb-40 format-image'); ?>>
        <?php 
        if( has_post_thumbnail() ): ?>
            <div class="n-blog__img">
                <a href="<?php the_permalink(); ?>">
                   <?php the_post_thumbnail('full', array('class' => 'img-responsive' )); ?>
                </a>
            </div>
        <?php 
        endif; ?>
        <div class="n-blog__content p-relative">
            <div class="blog__meta mb-20">
                <span><i class="far fa-calendar-check"></i> <?php the_time( get_option('date_format') ); ?> </span>
                <span><a href="<?php print esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?>"><i class="far fa-user"></i> <?php print get_the_author(); ?></a></span>
                <span><a href="<?php comments_link(); ?>"><i class="far fa-comments"></i> <?php comments_number(); ?></a></span>
            </div>
            <h4 class="n-blog-title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </h4>
            <div class="post-text mb-30">
                <?php the_excerpt(); ?>
            </div>
            <!-- blog btn -->

            <?php

                $volport_blog_btn_switch = get_theme_mod('volport_blog_btn_switch', true);  
            ?>
            <?php if(!empty($volport_blog_btn_switch)) : ?>
                <div class="blog_btn">
                    <a href="<?php the_permalink(); ?>" class="v-btn">
                       <?php print esc_html__( 'Read More', 'volport' ); ?> <i class="fal fa-arrow-alt-right"></i>
                    </a>
                </div>
            <?php endif; ?>
        </div>
    </article>
<?php
endif; ?>
